Bug 212971 - Problem with search path in KDE
Problem with search path in KDE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-10-30 08:04 EST by Staffan Hamala
Modified: 2008-05-06 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:37:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Staffan Hamala 2006-10-30 08:04:30 EST
Description of problem:
The search path in KDE seems to be wrong. I find no way to change it.

It seems to find programs in /usr/bin before /usr/local/bin. This is not the
normal behaviour. This is not the way it works in Gnome.

For example:
I install my own version of firefox in /usr/local/bin. I expect this version to
be the one that is used if I don't specify /usr/bin/firefox.

In the shell, /usr/local/bin/firefox is found first, and therefore run.

The same happens if I chose "Run command" in the menu.

However, if I click on the firefox button/menu item, the version in /usr/bin is
run instead. If I rename the binary for firefox in /usr/bin, it finds the one in
/usr/local/bin instead.

The firefox.desktop definition files just specify "Exec=firefox %u", so it
should find firefox in /usr/local/bin instead.

Do the same thing in Gnome, and see that /usr/local/bin/firefox starts instead
of /usr/bin/firefox.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. Compile a program of your choice (e.g. firefox, mplayer), and install it in
2. Click on the icon in the menu.
3. The old version is used instead of the new one.
Actual results:
The version in /usr/bin is used instead of the one in /usr/local/bin.

Expected results:
The program in /usr/local/bin is chosen first, if available.

Additional info:
I've checked with a new user. If he uses Gnome, and selects firefox in the menu,
the new version in /usr/local/bin is run. If he instead uses KDE, the old
version in /usr/bin is used.
Comment 1 Bug Zapper 2008-04-04 00:15:53 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:37:42 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.